/*  Name..............................ISLPT.C
*  Purpose...........................Check printer status
*  Date..............................03/16/91
*  Author............................D. Courtney
*
*  This program, when linked with Clipper, will check the printer status
*  of the printer port passed to it and return a logical value (.T. or .F.)
*  if the printer is ready.  Used like Clipper's ISPRINTER() function but
*  not limited to LPT1.
* -------------------------------------------------------------------------
*
*  Clipper Code stub:
*
*  if islpt(2)                   && Check printer status of LPT2
*    do thereport                && If LPT2 ready, print the report
*  endif
*  ------------------------------------------------------------------------
*  Compiling notes:
*    Compile the C code with MicroSoft C 5.0/5.1 with :
*       CL -c -AL -Zl -Oalt -FPa -Gs islpt.c
*     Link Clipper code with Summer '87 - PLINK86
*       PLINK86 FI yourfiles,islpt MIXCASE LIB clipper,extend,llibca
*        Note: LLIBCA.LIB is part of MicroSoft C
*             The object file ISLPT.OBJ is included with this file but
*             you must have LLIBCA.LIB to link it into your application
*  ------------------------------------------------------------------------
*/

#include <dos.h>
#include <stdlib.h>
#include "nandef.h"
#include "extend.h"
                                          /* In C the printer value is    */
CLIPPER islpt()                           /* LPT1 = 0, LPT2 = 1, LPT3 = 2 */
{
    union REGS Reg;
    unsigned lpt;                         /* Adjust for difference between */
    lpt = _parni(1) - 1;                  /* C & Clipper printer values.   */
    if ((lpt < 0) || (lpt > 3))           /* If user sends invalid printer */
      lpt = 0;                            /* default to LPT1 */
    Reg.h.ah = 2;
    Reg.x.dx = lpt;
    int86(0x17,&Reg,&Reg);
    _retl(Reg.h.ah & 0x10);               /* .F. = 0, .T. = 1 */
}
